/// <reference types="node" />
import * as fs from 'fs';
import gm from 'gm';
import { CkValue, CkType } from '@ckstack/ck-lib';
declare class CkFileUtils {
    static init(): void;
    private static __crop;
    private static __resize;
    static readAsyncFileToBuffer(reqIpAndLhdAndHttpInfo: string, filePath: string, lang?: CkValue.SUPPORT_LANG): Promise<Buffer> | null;
    static writeAsyncBufferToFile(reqIpAndLhdAndHttpInfo: string, srcBuffer: Buffer, destFilePath: string, opt?: fs.WriteFileOptions, lang?: CkValue.SUPPORT_LANG): void;
    static mkdirs(dir: string, reqIpAndLhdAndHttpInfo?: string): void;
    static removeFileOrDirectory(filePath: string, reqIpAndLhdAndHttpInfo?: string, lang?: CkValue.SUPPORT_LANG): void;
    static copy(src: string, dest: string, reqIpAndLhdAndHttpInfo?: string, lang?: CkValue.SUPPORT_LANG): Promise<string>;
    static getFileSize(filePath: string, reqIpAndLhdAndHttpInfo?: string, lang?: CkValue.SUPPORT_LANG): number;
    static getImageFileResolution(filePath: string, reqIpAndLhdAndHttpInfo?: string, lang?: CkValue.SUPPORT_LANG): Promise<gm.Dimensions>;
    static resizeImage(src: string, dest: string, mode: CkValue.IMAGE_RESIZE_MODE, opt: CkType.IImageResizeOption, reqIpAndLhdAndHttpInfo?: string, lang?: CkValue.SUPPORT_LANG): Promise<string>;
}
export default CkFileUtils;
